Subject: Re: [PATCH net] ip_tunnel: allow to inherit from VLAN encapsulated IP frames

From: Jakub Kicinski <[email-masked]>
Date: Thu, 7 Jul 2022 17:01:45 -0700

On Thu, 7 Jul 2022 15:59:10 +0200 Matthias May wrote:
> Has setting the TOS for ip6gretap ever worked?

Not sure, looks like the code is there, but I haven't used it myself.
I presume "0xa0" is not trying to set the ECN bits? I never remember
which end has the ECN bits, those may well get nuked on the way.

> How should i go forward with this?

I think your example above shows that "tos 0xa0" does not work but the
conversation was about inheritance, does "tos inherit" not work either?